class PagesController < ApplicationController
  
  before_filter :get_item, :only => [:index_from_link, :show_from_link]
  
  def index
    @item = Page.find_by_name('home')
    if @item
      render_page
    else
      render :text => 'You need a home page'
    end
  end
  
  def show  
     #begin  
       item = Item.first(:conditions => {:full_name => params[:page_name]}) 
       case item._type
         when 'Page'           
           @item = item
           render_page(params[:id])
         when 'Link'
           redirect_to "http://#{item[:url]}"
       end
     #rescue
     #  render :file => "#{Rails.root}/public/404.html", :status => :not_found
     #end
   end
   
   def index_from_link
     redirect_to "/#{@item.full_name}"
   end
   
   def show_from_link
     redirect_to "/#{@item.full_name}?id=#{params[:id]}"
   end
   
   def load_orbit_bar
     render :partial => 'layouts/orbit_bar'
   end
   
   protected
   
   def get_item
      module_app = ModuleApp.first(:conditions => {:key => params[:app_name]})
      @item = Item.first(:conditions => {:module_app_id => module_app.id, :app_frontend_url => params[:app_action]})
   end
  
end
